List sales

Retrieve a paginated list of sales with optional filters.

Filtering options:

  • draft — include only draft (unvalidated) sales
  • unpaid — include only sales with unpaid amounts
  • paid — include only fully paid sales
  • number — filter by sale number (alphanumeric)
  • customer — filter by customer name or identifier (alphanumeric)
  • search — general search term (alphanumeric)
  • dateAfter — include sales on or after this date (format: YYYY-MM-DD)
  • dateBefore — include sales on or before this date (format: YYYY-MM-DD)

Pagination:

  • pageNumber — 1-based page number (default: 1)
  • pageSize — results per page, max 100 (default: 10)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Include only draft (unvalidated) sales

string

Include only sales with unpaid amounts

string

Include only fully paid sales

string

Filter by sale number (alphanumeric)

string

Filter by customer name or identifier (alphanumeric)

string

Include sales on or after this date (YYYY-MM-DD)

string

Include sales on or before this date (YYYY-MM-DD)

General search term (alphanumeric)

int32

1-based page number (default: 1)

int32

Number of results per page, max 100 (default: 10)

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json